import 'package:flutter/cupertino.dart';
import 'package:loading_animation_widget/loading_animation_widget.dart';
import 'package:sk_base_mobile/app_theme.dart';
import 'package:sk_base_mobile/util/screen_adaper_util.dart';

class LoadingIndicator extends StatelessWidget {
  final bool animating;
  final bool common;
  const LoadingIndicator(
      {super.key, this.animating = true, this.common = false});

  @override
  Widget build(BuildContext context) {
    return common
        ? LoadingAnimationWidget.fourRotatingDots(
            color: AppTheme.primaryColorLight, size: ScreenAdaper.sp(40))
        : CupertinoActivityIndicator(
            animating: animating,
            color: AppTheme.primaryColor,
            radius: ScreenAdaper.sp(20),
          );
  }
}
